
** data set that consists of final allocations only
*******************************************************

clear
use "/Users/Marina/Dropbox/SUBMITTED/Network Bargaining Experiement/Experiments/DataAnalysis/Unstructured_2016/bargtemp.dta"

gen unique_groupround = session*10+groupid


sort session matchid group index
bysort session matchid group: egen totalpayoff = sum(finalsplit)

** indicator of efficient final allocation
gen efficient = (totalpayoff==40)


tab efficient  if index==0 & matchid>=5
signrank efficient = 0.5 if index==0 & matchid>=5

** final payoff of players
replace finalsplit = 0 if finalsplit==.

reg finalsplit if  (index==1 | index==3  ) & matchid>=5 , cluster(session)
reg finalsplit if  (index==1 | index==3  ) & matchid>=5 & efficient==1, cluster(session)

reg finalsplit if  (index==0 | index==2  ) & matchid>=5 , cluster(session)
reg finalsplit if  (index==0 | index==2  ) & matchid>=5 & efficient==1, cluster(session)

gen strong = (index==1 | index==3)

** regression (9) in the manuscript
reg finalsplit strong if matchid>4, cluster(session)

** data set that consists of all actions in the game 
*******************************************************


clear
use "/Users/Marina/Dropbox/SUBMITTED/Network Bargaining Experiement/Experiments/DataAnalysis/Unstructured_2016/barg1completetemp.dta"
append using "/Users/Marina/Dropbox/SUBMITTED/Network Bargaining Experiement/Experiments/DataAnalysis/Unstructured_2016/barg2completetemp.dta"
append using "/Users/Marina/Dropbox/SUBMITTED/Network Bargaining Experiement/Experiments/DataAnalysis/Unstructured_2016/barg3completetemp.dta"


drop round

** indicator that market is complete
sort session match group action
gen     firstaccept = 1 if type=="accept" & group[_n]==group[_n+1]
replace firstaccept = 1 if firstaccept[_n-1]==1 & group[_n]==group[_n-1]

gen marketcomplete = 1 if firstaccept==. 
replace marketcomplete = 0 if firstaccept==1
replace marketcomplete = 1 if marketcomplete[_n]==0 & firstaccept[_n]==1 & marketcomplete[_n-1]==1 & firstaccept[_n-1]==.


** market composition affects payoffs when efficient outcome is reached
gen uniquematchgroup = session*100+match*10+group

sort uniquematchgroup action
gen     payoff_strong = amount       if type=="accept" & proposer==1 & receiver==2
replace payoff_strong = 20 - amount  if type=="accept" & proposer==2 & receiver==1
replace payoff_strong = amount       if type=="accept" & proposer==3 & receiver==0
replace payoff_strong = 20 - amount  if type=="accept" & proposer==0 & receiver==3


sort uniquematchgroup action
gen     payoff_weak   = amount       if type=="accept" & proposer==2 & receiver==1
replace payoff_weak   = 20 - amount  if type=="accept" & proposer==1 & receiver==2
replace payoff_weak   = amount       if type=="accept" & proposer==0 & receiver==3
replace payoff_weak   = 20 - amount  if type=="accept" & proposer==3 & receiver==0

 
twoway (histogram payoff_strong if payoff_strong!=. & marketcomp==1 & match>=5, bin(20) frac xlabel(0(5)20)) (histogram payoff_strong if payoff_strong!=. & marketcom==0 & match>=5, bin(20) frac xlabel(0(5)20) color(black))


reg payoff_strong if payoff_strong!=. & marketcomp==1 & match>=5, cluster(session)
reg payoff_strong if payoff_strong!=. & marketcomp==0 & match>=5, cluster(session)



gen efficient = 0
replace efficient=1 if uniquematchgroup==102 | uniquematchgroup==105 | uniquematchgroup==110 | uniquematchgroup==111 | uniquematchgroup==112
replace efficient=1 if uniquematchgroup==114 | uniquematchgroup==115 | uniquematchgroup==116 | uniquematchgroup==122 | uniquematchgroup==124
replace efficient=1 if uniquematchgroup==126 | uniquematchgroup==130 | uniquematchgroup==132 | uniquematchgroup==133 | uniquematchgroup==135
replace efficient=1 if uniquematchgroup==136 | uniquematchgroup==140 | uniquematchgroup==141 | uniquematchgroup==143 | uniquematchgroup==150
replace efficient=1 if uniquematchgroup==151 | uniquematchgroup==152 | uniquematchgroup==153 | uniquematchgroup==154 | uniquematchgroup==155
replace efficient=1 if uniquematchgroup==156 | uniquematchgroup==160 | uniquematchgroup==163 | uniquematchgroup==164 | uniquematchgroup==165
replace efficient=1 if uniquematchgroup==170 | uniquematchgroup==171 | uniquematchgroup==172 | uniquematchgroup==174 | uniquematchgroup==176
replace efficient=1 if uniquematchgroup==181 | uniquematchgroup==182 | uniquematchgroup==184 | uniquematchgroup==185 | uniquematchgroup==186
replace efficient=1 if uniquematchgroup==190 | uniquematchgroup==192 | uniquematchgroup==194 | uniquematchgroup==195 | uniquematchgroup==200
replace efficient=1 if uniquematchgroup==201 | uniquematchgroup==203 | uniquematchgroup==205 | uniquematchgroup==206 | uniquematchgroup==210
replace efficient=1 if uniquematchgroup==211 | uniquematchgroup==212 | uniquematchgroup==213 | uniquematchgroup==214 | uniquematchgroup==215
replace efficient=1 if uniquematchgroup==221 | uniquematchgroup==222 | uniquematchgroup==223 | uniquematchgroup==224 | uniquematchgroup==226
replace efficient=1 if uniquematchgroup==230 | uniquematchgroup==232 | uniquematchgroup==233 | uniquematchgroup==234 | uniquematchgroup==235
replace efficient=1 if uniquematchgroup==240 | uniquematchgroup==241 | uniquematchgroup==242 | uniquematchgroup==244 | uniquematchgroup==245
replace efficient=1 if uniquematchgroup==250 | uniquematchgroup==255 | uniquematchgroup==256 | uniquematchgroup==260 | uniquematchgroup==263
replace efficient=1 if uniquematchgroup==266 | uniquematchgroup==270 | uniquematchgroup==274 | uniquematchgroup==275 | uniquematchgroup==276
replace efficient=1 if uniquematchgroup==281 | uniquematchgroup==283 | uniquematchgroup==284 | uniquematchgroup==285 | uniquematchgroup==286
replace efficient=1 if uniquematchgroup==291 | uniquematchgroup==292 | uniquematchgroup==293 | uniquematchgroup==294 | uniquematchgroup==295
replace efficient=1 if uniquematchgroup==296 | uniquematchgroup==301 | uniquematchgroup==302 | uniquematchgroup==303 | uniquematchgroup==305
replace efficient=1 if uniquematchgroup==306 | uniquematchgroup==310 | uniquematchgroup==312 | uniquematchgroup==315 | uniquematchgroup==317
replace efficient=1 if uniquematchgroup==320 | uniquematchgroup==321 | uniquematchgroup==332 | uniquematchgroup==333 | uniquematchgroup==335
replace efficient=1 if uniquematchgroup==341 | uniquematchgroup==342 | uniquematchgroup==343 | uniquematchgroup==344 | uniquematchgroup==346
replace efficient=1 if uniquematchgroup==347 | uniquematchgroup==352 | uniquematchgroup==353 | uniquematchgroup==355 | uniquematchgroup==361
replace efficient=1 if uniquematchgroup==366 | uniquematchgroup==367 | uniquematchgroup==371 | uniquematchgroup==373 | uniquematchgroup==374
replace efficient=1 if uniquematchgroup==377 | uniquematchgroup==380 | uniquematchgroup==381 | uniquematchgroup==384 | uniquematchgroup==385
replace efficient=1 if uniquematchgroup==387 | uniquematchgroup==390 | uniquematchgroup==391 | uniquematchgroup==393 | uniquematchgroup==396

save "/Users/Marina/Dropbox/SUBMITTED/Network Bargaining Experiement/Experiments/DataAnalysis/Unstructured_2016/expII_marketoutcomes.dta", replace


** regression (10) in the manuscript
reg payoff_strong marketcomp if payoff_strong!=. & match>=5 & efficient==1, cluster(session)



** how often weak players ask for equal split with strong players when market is complete?


gen     temp = 1 if type=="proposal" & proposer==0 & receiver==3 & marketcomplete==1 & match>=5
replace temp = 1 if type=="proposal" & proposer==2 & receiver==1 & marketcomplete==1 & match>=5


gen     ask_equalsplittemp = 1 if temp==1 & amount==10 & proposer==0  
replace ask_equalsplittemp = 0 if temp==1 & amount<10  & proposer==0
replace ask_equalsplittemp = 1 if temp==1 & amount==10 & proposer==2 
replace ask_equalsplittemp = 0 if temp==1 & amount<10  & proposer==2 


gen uniqueproposerid = session*100 + proposerid 

bysort uniqueproposerid: egen ask_equalsplit = sum(ask_equalsplittemp)  

bysort uniqueproposerid: egen ask_total = sum(temp) 

tab uniqueprop if ask_equalsplit==0 & ask_total!=0 & session==1
tab uniqueprop if ask_equalsplit==0 & ask_total!=0 & session==2
tab uniqueprop if ask_equalsplit==0 & ask_total!=0 & session==3


tab uniqueprop if ask_total!=0 & session==1
tab uniqueprop if ask_total!=0 & session==2
tab uniqueprop if ask_total!=0 & session==3

gen ratio = ask_equalsplit/ask_tot 
sum ratio if ask_equalsplit!=0
 





** frequency of proposing efficiently for strong players when market is complete
drop temp

gen     temp = 1 if type=="proposal" & proposer==1 & receiver==3 & marketcomplete==1 & matchid>=5
replace temp = 1 if type=="proposal" & proposer==3 & receiver==1 & marketcomplete==1 & matchid>=5
replace temp = 0 if type=="proposal" & proposer==1 & receiver==2 & marketcomplete==1 & matchid>=5
replace temp = 0 if type=="proposal" & proposer==3 & receiver==0 & marketcomplete==1 & matchid>=5

gen proposalstemp = 1 if type=="proposal" & (proposer==1 | proposer==3) & marketcomplete==1  & matchid>=5

sort match uniqueprop action
gen firstproposal = 1 if proposalstemp==1 & uniqueprop[_n]!=uniqueprop[_n-1]


bysort uniqueproposerid: egen numproposals = sum(proposalstemp) if proposalstemp!=. & marketcomplete==1 & matchid>=5 & firstproposal==1
bysort uniqueproposerid: egen ineffproposalstemp = sum(temp) if temp!=. & marketcomplete==1 & matchid>=5 &  firstproposal==1

bysort uniqueproposerid: gen ineffproptemp = ineffproposalstemp/numproposals if proposalstemp!=. & marketcomplete==1 & matchid>=5 &  firstproposal==1

bysort uniqueproposerid: egen ineffprop = max(ineffproptemp)

tab ineffprop
sum ineffprop



** March 2017


** efficiency of final match

gen efficient = 0
replace efficient=1 if uniquematchgroup==102 | uniquematchgroup==105 | uniquematchgroup==110 | uniquematchgroup==111 | uniquematchgroup==112
replace efficient=1 if uniquematchgroup==114 | uniquematchgroup==115 | uniquematchgroup==116 | uniquematchgroup==122 | uniquematchgroup==124
replace efficient=1 if uniquematchgroup==126 | uniquematchgroup==130 | uniquematchgroup==132 | uniquematchgroup==133 | uniquematchgroup==135
replace efficient=1 if uniquematchgroup==136 | uniquematchgroup==140 | uniquematchgroup==141 | uniquematchgroup==143 | uniquematchgroup==150
replace efficient=1 if uniquematchgroup==151 | uniquematchgroup==152 | uniquematchgroup==153 | uniquematchgroup==154 | uniquematchgroup==155
replace efficient=1 if uniquematchgroup==156 | uniquematchgroup==160 | uniquematchgroup==163 | uniquematchgroup==164 | uniquematchgroup==165
replace efficient=1 if uniquematchgroup==170 | uniquematchgroup==171 | uniquematchgroup==172 | uniquematchgroup==174 | uniquematchgroup==176
replace efficient=1 if uniquematchgroup==181 | uniquematchgroup==182 | uniquematchgroup==184 | uniquematchgroup==185 | uniquematchgroup==186
replace efficient=1 if uniquematchgroup==190 | uniquematchgroup==192 | uniquematchgroup==194 | uniquematchgroup==195 | uniquematchgroup==200
replace efficient=1 if uniquematchgroup==201 | uniquematchgroup==203 | uniquematchgroup==205 | uniquematchgroup==206 | uniquematchgroup==210
replace efficient=1 if uniquematchgroup==211 | uniquematchgroup==212 | uniquematchgroup==213 | uniquematchgroup==214 | uniquematchgroup==215
replace efficient=1 if uniquematchgroup==221 | uniquematchgroup==222 | uniquematchgroup==223 | uniquematchgroup==224 | uniquematchgroup==226
replace efficient=1 if uniquematchgroup==230 | uniquematchgroup==232 | uniquematchgroup==233 | uniquematchgroup==234 | uniquematchgroup==235
replace efficient=1 if uniquematchgroup==240 | uniquematchgroup==241 | uniquematchgroup==242 | uniquematchgroup==244 | uniquematchgroup==245
replace efficient=1 if uniquematchgroup==250 | uniquematchgroup==255 | uniquematchgroup==256 | uniquematchgroup==260 | uniquematchgroup==263
replace efficient=1 if uniquematchgroup==266 | uniquematchgroup==270 | uniquematchgroup==274 | uniquematchgroup==275 | uniquematchgroup==276
replace efficient=1 if uniquematchgroup==281 | uniquematchgroup==283 | uniquematchgroup==284 | uniquematchgroup==285 | uniquematchgroup==286
replace efficient=1 if uniquematchgroup==291 | uniquematchgroup==292 | uniquematchgroup==293 | uniquematchgroup==294 | uniquematchgroup==295
replace efficient=1 if uniquematchgroup==296 | uniquematchgroup==301 | uniquematchgroup==302 | uniquematchgroup==303 | uniquematchgroup==305
replace efficient=1 if uniquematchgroup==306 | uniquematchgroup==310 | uniquematchgroup==312 | uniquematchgroup==315 | uniquematchgroup==317
replace efficient=1 if uniquematchgroup==320 | uniquematchgroup==321 | uniquematchgroup==332 | uniquematchgroup==333 | uniquematchgroup==335
replace efficient=1 if uniquematchgroup==341 | uniquematchgroup==342 | uniquematchgroup==343 | uniquematchgroup==344 | uniquematchgroup==346
replace efficient=1 if uniquematchgroup==347 | uniquematchgroup==352 | uniquematchgroup==353 | uniquematchgroup==355 | uniquematchgroup==361
replace efficient=1 if uniquematchgroup==366 | uniquematchgroup==367 | uniquematchgroup==371 | uniquematchgroup==373 | uniquematchgroup==374
replace efficient=1 if uniquematchgroup==377 | uniquematchgroup==380 | uniquematchgroup==381 | uniquematchgroup==384 | uniquematchgroup==385
replace efficient=1 if uniquematchgroup==387 | uniquematchgroup==390 | uniquematchgroup==391 | uniquematchgroup==393 | uniquematchgroup==396

** how often weak players propose equalsplit when market is complete?
gen allproposaltemp = 1 if  marketcomplete==1 & proposer==2 & receiver==1  & type=="proposal"
replace allproposaltemp = 1 if  marketcomplete==1 & proposer==0 & receiver==3  & type=="proposal"
replace allproposaltemp = 0 if  allproposaltemp==.

gen proposeequaltemp = 1 if  marketcomplete==1 & proposer==2 & receiver==1  & type=="proposal" & amount==10
replace proposeequaltemp = 1 if  marketcomplete==1 & proposer==0 & receiver==3  & type=="proposal" & amount==10
replace proposeequaltemp = 0 if  proposeequaltemp==.

count if proposeequaltemp==1 & marketcomplete==1 & allproposaltemp==1 & match<=4
count if marketcomplete==1 & allproposaltemp==1 & match<=4

count if proposeequaltemp==1 & marketcomplete==1 & allproposaltemp==1 & match>4
count if marketcomplete==1 & allproposaltemp==1 & match>4

bysort uniquematchgroup: egen proposeequal = sum(proposeequaltemp)
bysort uniquematchgroup: egen allproposal = sum(allproposaltemp)

gen proposeequal_group = (proposeequal>=1 & proposeequal!=.)
gen allproposal_group = (allproposal>=1 & allproposal!=.)

** how many match_groups had no proposals made by weak players before the game ended?
gen t = proposeequal_group/allproposal_group
list uniquematchgroup if t==. & action==0 & match<=4
list uniquematchgroup if t==. & action==0 & match>4

** note in some of these groups strong players made proposals to weak ones
** so overall only 3 match_groups in first 5 matches (and 2 match_groups in the last 5 matches)ended the game without involving weak players at all

** how often at least one weak player offered equal split when market was complete conditional on weak players making an offer at all? (at the group level)
sum t if match<=4 & action==0 & marketcomplete==1
sum t if match>4  & action==0 & marketcomplete==1

** how often groups in which equal split was offered by a weak player when market was complete ended up in efficient outcome?
tab efficient if t==1 & match<=4  & action==0
tab efficient if t==1 & match>4   & action==0

****************
**  May 2019 ***
****************

** regression on efficiency comparison between Exp 1, Exp 2, and Exp 3
************************************************************************

** first get all the variables from unstructured bargaining experiment

clear
use "/Users/Marina/Dropbox/SUBMITTED/Network Bargaining Experiement/Experiments/DataAnalysis/Unstructured_2016/bargtemp.dta"

gen unique_groupround = session*10+groupid

sort session matchid group index
bysort session matchid group: egen totalpayoff = sum(finalsplit)

gen efficient = (totalpayoff==40)
tab efficient session if index==0 & matchid>=5

keep if  matchid>=5

gen structured = 0
gen separation = 0

rename finalsplit finalpayoff
keep efficient session structured finalpayoff index separation

save "/Users/Marina/Dropbox/SUBMITTED/Network Bargaining Experiement/Experiments/DataAnalysis/Unstructured_2016/efficiencyExpIandIItemp.dta", replace


** second get all the variables from structured bargaining experiment

clear
use "/Users/Marina/Dropbox/SUBMITTED/Network Bargaining Experiement/Experiments/DataAnalysis/Structured_2015/Analysis/data_original.dta"

gen finalpayoff = potentialpayoff if matchending!=. & matchending!=2 

gen sessionun = game*100+separation*10 + session*1
gen uniqueid = sessionun*100+clientid
 
sort sessionun match group round index
gen     totalpayoff = finalpayoff[_n]+finalpayoff[_n+1]+finalpayoff[_n+2]+finalpayoff[_n+3] if matchending!=. & matchending!=2 & index==0

gen     temp = 1 if separation==0 & totalpayoff==40 & matchending!=. & matchending!=2 & index==0
replace temp = 0 if separation==0 & totalpayoff<40 & totalpayoff>0 & matchending!=. & matchending!=2 & index==0
replace temp = 1 if separation==1 & totalpayoff>=37.1 & totalpayoff<=40 & matchending!=. & matchending!=2 & index==0
replace temp = 0 if separation==1 & totalpayoff<37.1 & totalpayoff>0 & matchending!=. & matchending!=2 & index==0

bysort sessionun match groupid: egen efficient = max(temp)
drop temp

keep if matchending!=. & matchending!=2  & match>4 &  game==30
gen structured = 1

keep efficient structured session finalpayoff index separation
append using "/Users/Marina/Dropbox/SUBMITTED/Network Bargaining Experiement/Experiments/DataAnalysis/Unstructured_2016/efficiencyExpIandIItemp.dta"

save "/Users/Marina/Dropbox/SUBMITTED/Network Bargaining Experiement/Experiments/DataAnalysis/Unstructured_2016/efficiencyExpIandII.dta", replace

** now run the regression to compare the efficiency levels in Exp 1 and Exp 2

gen uniquesession = structure*100 + separation*10 +session
gen exp2 = (struc==0)

reg efficient exp2 if index==0 & ((structure==1 & separation==0) | structure==0), cluster(uniquesession)
test exp2 = 0

reg efficient exp2 if index==0 & ((structure==1 & separation==1) | structure==0), cluster(uniquesession)
test exp2 = 0

** now run the regression to compare the payoffs of players across two experiments (Exp I and Exp II)


reg finalpayoff exp2 if index==0 | index==2, cluster(uniquesession)
reg finalpayoff exp2 if index==1 | index==3, cluster(uniquesession)






** regressions on payoffs of players in Exp 2
*****************************************************


clear
use "/Users/Marina/Dropbox/SUBMITTED/Network Bargaining Experiement/Experiments/DataAnalysis/Unstructured_2016/bargtemp.dta"

gen unique_groupround = session*10+groupid

sort session matchid group index
bysort session matchid group: egen totalpayoff = sum(finalsplit)

** indicator of efficient final allocation
gen efficient = (totalpayoff==40)


tab efficient  if index==0 & matchid>=5
signrank efficient = 0.5 if index==0 & matchid>=5

** final payoff of players
replace finalsplit = 0 if finalsplit==.

reg finalsplit if  (index==1 | index==3  ) & matchid>=5 , cluster(session)
reg finalsplit if  (index==1 | index==3  ) & matchid>=5 & efficient==1, cluster(session)

reg finalsplit if  (index==0 | index==2  ) & matchid>=5 , cluster(session)
reg finalsplit if  (index==0 | index==2  ) & matchid>=5 & efficient==1, cluster(session)

